Subject: Re: PLEASE HELP ME IDENTIFY THIS HERB !!!!!

From: Tamara <[email-masked]>
Date: 8 Nov 1995 05:50:07 GMT

According to a field guide that I have by Dr. Rosita Arvigo,
"Jackass Bitters" are identified by the following names:

Local Belizian-Jackass Bitters
Spanish- Tres Puntas or Mano de Lagarto
Botanical (Latin) -Neurolena Lobata
Family - Asteraceae

Hope that helps!
Tamara

James McGuire <[email-masked]> wrote:
>
> If anyone has information as to the true name(s) of this herb, I would 
> like your help at your earliest convenience. 
> 
> 
> 
> Three Points (Tres Puntas) aka The Root of the Liver Tree (El Raiz de el 
> Arbor de Higado)
> 
> I also believe that it is known as "Jackass Bitters" in Belize.
> 
> 
> Thanks for your help.
> 
> 
> James McGuire
> 
> 
>